2

I am new to Linux and have got myself a CentOS 7 VPS. Through tutorials, I have managed to install Apache, PHP and MariaDb.

My site is up and running, but I cannot update WordPress or its plugins. I get:

ERROR: There was an error connecting to the server, Please verify the settings are correct.

I looked up the error and apparently, it is to do with permissions, but I am not sure how to fix!

I have already tried:

chown -R mysite-user:apache /var/www/html/mysite.co.uk

And when I do ls -l on /var/www/html I get:

drwxr-xr-x 5 mysite-user apache 4096 Mar 13 09:54 mysite.co.uk

I have two questions.

Q1. What is the recommended way (safest) for allowing WordPress to update its things? Apparently there are two ways, one involving giving Direct access to file system

Q2. What are the steps for the answer to Q1?

migrated from wordpress.stackexchange.com Mar 20 '18 at 10:44

This question came from our site for WordPress developers and administrators.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.